Subject: Re: bug#16884: 24.3.50; desktop-read should not die on non-existing directories

From: Juanma Barranquero <[email-masked]>
Date: Tue, 25 Feb 2014 22:08:35 +0100

On Tue, Feb 25, 2014 at 8:06 PM, Sam Steingold <[email-masked]> wrote:

> when restarting emacs I just got this:
>
> Debugger entered--Lisp error: (file-error "Reading directory" "no such file or directory" "/Users/sds/.emacs.d/auto-saves/*")
>   access-file("/Users/sds/.emacs.d/auto-saves/*" "Reading directory")

> because I did M-x recover-session RET in the previous incarnation.
> I think this error should be caught and either ignored or reported as a message.

On Windows I don't see that. If the directory does not exist (either
the auto-saves one or any other directory in a Dired buffer), desktop
just outputs its usual summary line saying that N buffers were
restored, M buffers failed to restore.

Can you reproduce it at will?

    J